## pfaedit 0.0.20020312-1

=== debian/changelog ===
pfaedit (0.0.20020312-1) unstable; urgency=low

  * New upstream version (Closes: bug#139183)
    + Fixed EPS reading problems
    + Improved scripting abilities
      - Generate PFM file
      - Merge Kerning Info
      - Remove all Kerning
    + Added sfddiff, a diff between two SFD fonts (pfaedit native format)
    + Improved handling of 8bit colormaps
  * Upgrading also fixed two crashing problems (Closes: bug#138944, #138765)

 -- Baruch Even <baruch@debian.org>  Thu, 23 Mar 2002 01:09:00 +0200

pfaedit (0.0.20020210-1) unstable; urgency=low

  * New upstream version
    + Fix crash when generating postscript from arial.ttf
    + Changes to bitmap dialogs to allow more control over dpi
    + Use freetype to generate bitmaps 
    + Added a scripting abilities
    + Load the help documents locally instead of going to the homepage
    + Fix a bug that caused to be used as the help browser, not it *does*
      check for the existence of the browser.
  * Actually make use of the loading of help documents locally.

 -- Baruch Even <baruch@debian.org>  Sun, 10 Feb 2002 12:03:26 +0200

pfaedit (0.0.20020206-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Wed,  6 Feb 2002 01:53:10 +0200

pfaedit (0.0.20020102-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Sat,  5 Jan 2002 00:25:54 +0200

pfaedit (0.0.20011115-1) unstable; urgency=low

  * New upstream version.

 -- Baruch Even <baruch@debian.org>  Wed, 21 Nov 2001 00:18:27 +0200

pfaedit (0.0.20011011-2) unstable; urgency=low

  * Documentation was placed in /usr/share/doc/pfaedit/html/htdocs and should
    be one directory upwards.
  * Removed upstream ChangeLog file since it's empty.
  * Removed upstream README file since it only contains install info.

 -- Baruch Even <baruch@debian.org>  Sun, 14 Oct 2001 10:41:11 +0200

pfaedit (0.0.20011011-1) unstable; urgency=low

  * Updated config.{guess,sub} files (Closes: Bug#115016)
  * Fixed bug when loading BDF files with more than 256 characters.
    (Closes: Bug#115212)
  * Added CID maps for CJK support (Closes: Bug#114952)

 -- Baruch Even <baruch@debian.org>  Sat, 13 Oct 2001 21:38:10 +0200

pfaedit (0.0.20010925-1) unstable; urgency=low

  * Updated the HTML docs, upstream author had some copyrighted material in them.

 -- Baruch Even <baruch@debian.org>  Wed, 26 Sep 2001 14:16:51 +0200

pfaedit (0.0.20010924-1) unstable; urgency=low

  * New upstream version.
  * Added HTML docs.

 -- Baruch Even <baruch@debian.org>  Wed, 26 Sep 2001 03:09:46 +0200

pfaedit (0.0.20010908-2) unstable; urgency=low

  * Fix a wrong dependency on libungif4 instead of libungif4g.
  * Changed the image libraries from suggests to recommends.

 -- Baruch Even <baruch@debian.org>  Wed, 12 Sep 2001 00:01:01 +0300

pfaedit (0.0.20010908-1) unstable; urgency=low

  * Upstream version update.

 -- Baruch Even <baruch@debian.org>  Sun,  9 Sep 2001 15:11:47 +0300

pfaedit (0.0.20010905-1) unstable; urgency=low

  * Initial Release.
  * Closes wnpp bug. (Closes: Bug#99904)

 -- Baruch Even <baruch@debian.org>  Fri, 31 Aug 2001 22:51:17 +0300

Local variables:
mode: debian-changelog
End:
