=== debian/watch ===
# Example watch control file for uscan
# Rename this file to "watch" and then you can run the "uscan" command
# to check for upstream updates and more.
# Site		Directory		Pattern			Version	Script
http://pfaedit.sourceforge.net / pfaedit_htdocs-([^.]*)\\.tgz      011116
http://pfaedit.sourceforge.net / pfaedit_full-(.*)\\.tgz   011115
