## pfaedit 0.0.20040111-1

=== debian/changelog ===
pfaedit (0.0.20040111-1) unstable; urgency=low

  * New upstream version. (closes: #226123)
  * debian/copyright: Fix for type in pfaedit sourceforge URL.
    (closes: #226132)

 -- Peter Hawkins <peterh@debian.org>  Mon, 19 Jan 2004 09:54:28 +1100

pfaedit (0.0.20031110-1) unstable; urgency=low

  * New upstream version.
  * Added libuninameslist to build (closes: #188562) 

 -- Peter Hawkins <peterh@debian.org>  Fri, 14 Nov 2003 14:38:54 +1100

pfaedit (0.0.20031020-3) unstable; urgency=low

  * debian/control, debian/rules: Add libtoolize invocation to update the
    libtool version for ARM (closes: #217238)

 -- Peter Hawkins <peterh@debian.org>  Fri, 24 Oct 2003 09:32:19 +1000

pfaedit (0.0.20031020-2) unstable; urgency=low

  * Second upload in a short time period because I failed to see a couple of
    easily fixed bugs sitting in the bug page, including one RC bug.
  * debian/rules: Added quotes around usage of CFLAGS (closes: #198221)
  * debian/patches/00[34]*: Link libgdraw against libgunicode so libgunicode
    is completely linked. (closes: #195978)

 -- Peter Hawkins <peterh@debian.org>  Thu, 23 Oct 2003 20:25:28 +1000

pfaedit (0.0.20031020-1) unstable; urgency=low

  * New upstream version.
  * debian/control: New maintainer - Peter Hawkins <peterh@debian.org>
  * debian/control: Updated standards version to 3.6.1

 -- Peter Hawkins <peterh@debian.org>  Thu, 23 Oct 2003 19:21:42 +1000

pfaedit (0.0.20030313-2) unstable; urgency=low

  * Update config.sub and config.guess to fix build failure on mipsel. 

 -- Peter Hawkins <peterh@debian.org>  Fri, 21 Mar 2003 12:27:15 +1100

pfaedit (0.0.20030313-1) unstable; urgency=low

  * New upstream version (closes: #174411, #183493)
  * The libpng breakage seems fixed. Please reopen this bug if you still
    experience this problem. (closes: #181249)
  * Updated Standards Version to 3.5.9.
  * Package hacked upon and rejigged by Peter Hawkins.

 -- Peter Hawkins <peterh@debian.org>  Sun,  2 Mar 2003 15:33:47 +1100

pfaedit (0.0.20020905-1) unstable; urgency=low

  * New upstream version
  * Changed to use libpng3 instead of libpng2

 -- Baruch Even <baruch@debian.org>  Thu,  5 Sep 2002 08:13:28 +0300

pfaedit (0.0.20020618-1) unstable; urgency=low

  * New upstream version

 -- Baruch Even <baruch@debian.org>  Tue, 18 Jun 2002 22:23:30 +0300

pfaedit (0.0.20020416-1) unstable; urgency=low

  * New upstream version
    + Added support for Arabic forms in GSUB table
    + Fix problems under KDE desktop
  * Remove recommendation on libtiff3 which doesn't exists

 -- Baruch Even <baruch@debian.org>  Fri, 26 Apr 2002 17:33:59 +0300
