=== debian/control ===
Source: pfaedit
Section: x11
Priority: optional
Maintainer: Peter Hawkins <peterh@debian.org>
Build-Depends: debhelper (>> 3.0.0), libjpeg62-dev, libtiff3g-dev, libpng3-dev,  libungif4-dev, xlibs-dev, libfreetype6-dev, patch, autoconf, autotools-dev, autoconf, automake1.7, libtool
Standards-Version: 3.6.1

Package: pfaedit
Architecture: any
Depends: ${shlibs:Depends}
Recommends: libjpeg62, libtiff3g, libpng3, libungif4g, libfreetype6
Suggests: autotrace
Description: Font Editor for PS, TrueType and OpenType fonts
 PfaEdit allows you to edit outline and bitmap fonts.  You can create
 new ones or modify old ones.  It is also a font format converter and
 can convert among PostScript (ASCII & binary Type 1, some Type 3s,
 some Type 0s), TrueType, and OpenType (Type2).
