=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
-# Sample debian/rules that uses debhelper.
+# debian/rules for pfaedit
 # GNU copyright 1997 to 1999 by Joey Hess.
+# Adapted for pfaedit by Peter Hawkins, (c) 2003.
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
@@ -15,6 +16,8 @@
 INSTALL_SCRIPT  = $(INSTALL) -p    -o root -g root  -m  755
 INSTALL_DIR     = $(INSTALL) -p -d -o root -g root  -m  755
 
+PFAEDIT_DIR=pfaedit-040111
+
 DOCDIR=/usr/share/doc/pfaedit/html
 
 ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
@@ -27,7 +30,25 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	CFLAGS=${CFLAGS} ./configure --prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info
+
+	# Untar the source packages
+	tar xvf libuninameslist_src*.tar
+	tar xvf pfaedit_full*.tar
+	-mkdir htdocs
+	(cd htdocs; tar xvf ../pfaedit_htdocs*.tar)
+	
+	# First, configure libuninameslist
+#	(cd libuninameslist; for p in ../debian/libuninameslist-patches/*; do patch -p1 < $$p ; done)
+	cp /usr/share/misc/config.guess /usr/share/misc/config.sub libuninameslist/
+	(cd libuninameslist; libtoolize --force --copy ; aclocal-1.7 ; autoconf)
+
+	# Now configure pfaedit
+	(cd $(PFAEDIT_DIR); for p in ../debian/pfaedit-patches/*; do patch -p1 < $$p ; done)
+
+	# Update config.sub and config.guess
+	cp /usr/share/misc/config.guess /usr/share/misc/config.sub $(PFAEDIT_DIR)/
+	(cd $(PFAEDIT_DIR); cp configure.dynamic.in configure.in ; libtoolize --force --copy ; aclocal-1.7 ; autoconf)
+
 
 	touch configure-stamp
 
@@ -35,7 +56,11 @@
 build-stamp:
 	dh_testdir
 
-	$(MAKE) DOCDIR=${DOCDIR}
+	(cd libuninameslist; CFLAGS="${CFLAGS}" ./configure --prefix=/usr --exec-prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --enable-static --disable-shared)
+	(cd libuninameslist; $(MAKE) )
+
+	(cd $(PFAEDIT_DIR); CFLAGS="-L$(CURDIR)/libuninameslist/ ${CFLAGS}" ./configure --prefix=/usr --exec-prefix=/usr --mandir=\$${prefix}/share/man --infodir=\$${prefix}/share/info --with-freetype-src=/usr/include/freetype2/freetype/internal --with-regular-link)
+	(cd $(PFAEDIT_DIR); $(MAKE) DOCDIR=${DOCDIR})
 
 	touch build-stamp
 
@@ -44,8 +69,9 @@
 	dh_testroot
 	rm -f build-stamp configure-stamp
 
-	-$(MAKE) cleaner
-	-rm -f config.cache config.status config.log libs/*.a pfaedit/pfaedit 
+#	-(cd pfaedit; $(MAKE) distclean)
+#	-(cd pfaedit; rm -f config.cache config.status config.log libs/*.a pfaedit/pfaedit pfaedit/sfddiff)
+	rm -rf $(PFAEDIT_DIR) htdocs libuninameslist
 
 	dh_clean
 
@@ -56,9 +82,12 @@
 	dh_installdirs
 
 	# Add here commands to install the package into debian/pfaedit.
-	$(MAKE) install prefix=$(CURDIR)/debian/pfaedit/usr sharedir=$(CURDIR)/debian/pfaedit/usr/share/pfaedit
+	(cd $(PFAEDIT_DIR); $(MAKE) install prefix=$(CURDIR)/debian/pfaedit/usr exec_prefix=$(CURDIR)/debian/pfaedit/usr sharedir=$(CURDIR)/debian/pfaedit/usr/share/pfaedit)
 	cp `find htdocs -maxdepth 1 -type f` $(CURDIR)/debian/pfaedit/usr/share/doc/pfaedit/html
-	cp cidmaps/*.cidmap $(CURDIR)/debian/pfaedit/usr/share/pfaedit
+	# Remove development symlinks
+	-rm $(CURDIR)/debian/pfaedit/usr/lib/libgdraw.so
+	-rm $(CURDIR)/debian/pfaedit/usr/lib/libgunicode.so
+	#cp cidmaps/*.cidmap $(CURDIR)/debian/pfaedit/usr/share/pfaedit
 
 
 # Build architecture-independent files here.
@@ -83,7 +112,7 @@
 	dh_strip
 	dh_compress
 	dh_fixperms
-#	dh_makeshlibs
+	dh_makeshlibs
 	dh_installdeb
 	dh_shlibdeps
 	dh_gencontrol
